- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions

# FbxNull Class Reference

This reference page is linked to from the following overview topics: FBX Node Attributes, List of Python Fbx classes.

Search for all occurrences

## Detailed Description

This node attribute contains the properties of a null node.

Definition at line 27 of file fbxnull.h.

`#include <fbxnull.h>`

Inheritance diagram for FbxNull:
[legend]

List of all members.

## Public Member Functions
virtual FbxNodeAttribute::EType | GetAttributeType () const
| Returns the EType::eNull node attribute type.
void | Reset ()
| Resets the default values.
virtual FbxObject & | Copy (const FbxObject &pObject)
| Copy an object content into this object.
virtual FbxStringList | GetTypeFlags () const
## Public Attributes
FbxPropertyT< FbxDouble > | Size
| This property handles the null node size.
FbxPropertyT< ELook > | Look
| This property handles the look of the null node.
## Protected Member Functions
| FbxNull (FbxManager &pManager, char const *pName)
virtual void | Construct (const FbxNull *pFrom)
virtual bool | ConstructProperties (bool pForceSet)
## Null Node Properties
enum | ELook { eNone, eCross }
| Null node look types. More...
double | GetSizeDefaultValue () const
| Returns the default size value.
## Property Names
static const char * | sSize
static const char * | sLook
## Property Default Values
static const FbxDouble | sDefaultSize
static const ELook | sDefaultLook

## Member Enumeration Documentation

enum ELook

Search for all occurrences

Null node look types.

- eNone
- eCross

Enumerator:

  eNone | Search for all occurrences
  eCross | Search for all occurrences

Definition at line 47 of file fbxnull.h.

        {
            eNone,
            eCross,
        };

## Constructor & Destructor Documentation

FbxNull | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

virtual FbxNodeAttribute::EType GetAttributeType | ( |  | ) | const `[virtual]`

Search for all occurrences

Returns the EType::eNull node attribute type.

Reimplemented from FbxNodeAttribute.

void Reset | ( |  | ) |

Search for all occurrences

Resets the default values.

double GetSizeDefaultValue | ( |  | ) | const

Search for all occurrences

Returns the default size value.

Returns:
  The default size of this object (100).

virtual FbxObject& Copy | ( | const FbxObject & | pObject | ) | `[virtual]`

Search for all occurrences

Copy an object content into this object.

Parameters:

  pObject | The source object to copy data from.

Returns:
  Returns the destination object being modified by the source.

Remarks:
  This function replace the assignment operator (operator=). It will copy all property values and the name. Connections are NOT copied.

Reimplemented from FbxObject.

virtual void Construct | ( | const FbxNull * | pFrom | ) | `[protected, virtual]`

Search for all occurrences

virtual bool ConstructProperties | ( | bool | pForceSet | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxNodeAttribute.

virtual FbxStringList GetTypeFlags | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from FbxObject.

## Member Data Documentation

const char* sSize `[static]`

Search for all occurrences

Definition at line 64 of file fbxnull.h.

const char* sLook `[static]`

Search for all occurrences

Definition at line 65 of file fbxnull.h.

const FbxDouble sDefaultSize `[static]`

Search for all occurrences

Definition at line 72 of file fbxnull.h.

const ELook sDefaultLook `[static]`

Search for all occurrences

Definition at line 73 of file fbxnull.h.

FbxPropertyT<FbxDouble> Size

Search for all occurrences

This property handles the null node size.

To access this property do: Size.Get(). To set this property do: Size.Set(FbxDouble).

The default value is 100.

Definition at line 90 of file fbxnull.h.

FbxPropertyT<ELook> Look

Search for all occurrences

This property handles the look of the null node.

To access this property do: Look.Get(). To set this property do: Look.Set(ELook).

The default value is true

Definition at line 99 of file fbxnull.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/geometry/fbxnull.h

FbxNull FbxNull FbxNull FbxNull FbxNull FbxNull FbxNull FbxNull FbxNull FbxNull
FbxNull FbxNull FbxNull FbxNull FbxNull FbxNull FbxNull FbxNull FbxNull FbxNull